\section{Conclusions and Future Work}\label{sec:conclusion}
The \ac{ucon} model was introduced as a generalization of access control to support attribute mutability and continuity of control.
Specifically, \ac{ucon} continuously monitors attributes, then re-evaluates the security policy when an attribute value changes and revokes the authorization if the policy is no longer satisfied.
\ac{ucon}, however, does not enact continuous monitoring before granting 0r after revoking the authorization, which is necessary for proactive and safety-critical systems.

We proposed \ac{ucon}+ to solve the limitations of \ac{ucon}, enhance it with policy administration and delegation as well as auxiliary evaluators, and extend it with continuous monitoring that covers pre- and post-authorization interactions.
\ac{ucon}+ uses \ac{alfa} as a baseline policy language and solves the problems of U-\ac{xacml} as described in Section ~\ref{sec:policylang}.
We presented a reference architecture for \ac{ucon}+, designated as \ac{ucsp}, which is adapted from the architecture of \ac{ucon}.
We also described an optimized and lightweight implementation of \ac{ucsp}, and leveraged it in previous works in different domains such as \ac{iot}~\cite{ucs2020plus}, smart vehicles~\cite{siuv} and data protection~\cite{datapal}.
Our implementation incorporates the world's first \ac{alfa} evaluator, which also supports policy administration and delegation.
We fuse our previous works on \ac{ucon}+ with our recent progress on the subject and present them in this chapter.

Our future directions aim for formalizing the model and applying formal verification methods to it.
We also plan to further develop \ac{ucon} and \ac{ucsp} by capturing a more granular temporal state and adding more phases to the authorization session.
Additionally, we intend to validate \ac{ucon}+ in more domains such as cloud services and identity management systems and evaluate it in both centralized and distributed environments. 